Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZPriority Class Reference

## Public Member Functions
| __construct ( $id=-1)
| eZPriority More...
| store ()
| store More...
| delete ()
| delete More...
| get ( $id)
| get More...
| getAll ()
| getAll More...
| name ()
| name More...
| setName ( $value)
| setName More...
| id ()
| id More...

## Public Attributes
| $ID
| $Name

## Detailed Description

! eZTodo The eZPriority handles the priority informasjon.

Handles the priority informasjon stored in the database. All the todo's have a priority status.

Definition at line 34 of file ezpriority.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPriority::__construct | ( |  | $id = `-1` | ) |

eZPriority

eZPriority Constructor.

Definition at line 40 of file ezpriority.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZPriority::delete | ( |  | ) |

delete

Deletes the priority object in the database.

Definition at line 84 of file ezpriority.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ get()

eZPriority::get | ( |  | $id | ) |

get

Gets a priority object from the database, where ID == $id

Definition at line 95 of file ezpriority.php.

References $db, $id, $priority_array, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

eZPriority::getAll | ( |  | ) |

getAll

Gets all the priority informasjon from the database. Returns the array in $priority_array ordered by name.

Definition at line 121 of file ezpriority.php.

References $db, $i, $priority_array, and eZDB\globalDatabase().

## ◆ id()

eZPriority::id | ( |  | ) |

id

Id of the priority. Returns the id of the priority as a string.

Definition at line 164 of file ezpriority.php.

References $ID.

## ◆ name()

eZPriority::name | ( |  | ) |

name

Tilte of the priority. Returns the name of the priority as a string.

Definition at line 144 of file ezpriority.php.

References Name.

## ◆ setName()

eZPriority::setName | ( |  | $value | ) |

setName

Sets the name of the priority. The new name of the priority is passed as a paramenter ( $value ).

Definition at line 154 of file ezpriority.php.

References Name.

## ◆ store()

eZPriority::store | ( |  | ) |

store

Stores the priority object to the database. Returnes the ID to the eZPriority object if the store is a success.

Definition at line 54 of file ezpriority.php.

References $db, $ID, $name, $res, eZDB\finish(), eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $ID

eZPriority::$ID

Definition at line 169 of file ezpriority.php.

Referenced by __construct(), id(), and store().

## ◆ $Name

eZPriority::$Name

Definition at line 170 of file ezpriority.php.

The documentation for this class was generated from the following file:

- ezpriority.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.